Skip to main content
POST
/
v1
/
images
/
edits
Edit image (qwen-image-edit)
curl --request POST \
  --url https://api.ai.cc/v1/images/edits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "qwen-image-edit-plus",
  "input": {
    "messages": [
      {
        "role": "user",
        "content": [
          {
            "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"
          },
          {
            "text": "Generate an image that matches the depth map, following this description: a dilapidated red bicycle parked on a muddy path, with a dense primeval forest in the background."
          }
        ]
      }
    ]
  },
  "parameters": {
    "n": 2,
    "negative_prompt": " ",
    "prompt_extend": true,
    "watermark": false
  }
}
'
import requests

url = "https://api.ai.cc/v1/images/edits"

payload = {
"model": "qwen-image-edit-plus",
"input": { "messages": [
{
"role": "user",
"content": [{ "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp" }, { "text": "Generate an image that matches the depth map, following this description: a dilapidated red bicycle parked on a muddy path, with a dense primeval forest in the background." }]
}
] },
"parameters": {
"n": 2,
"negative_prompt": " ",
"prompt_extend": True,
"watermark": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen-image-edit-plus',
input: {
messages: [
{
role: 'user',
content: [
{
image: 'https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp'
},
{
text: 'Generate an image that matches the depth map, following this description: a dilapidated red bicycle parked on a muddy path, with a dense primeval forest in the background.'
}
]
}
]
},
parameters: {n: 2, negative_prompt: ' ', prompt_extend: true, watermark: false}
})
};

fetch('https://api.ai.cc/v1/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created": 123,
  "data": [
    {
      "url": "<string>",
      "b64_json": "<string>",
      "revised_prompt": "<string>"
    }
  ]
}
This endpoint integrates a third-party model. For detailed parameter information, please refer to the official documentation at Qwen Docs.

Authorizations

Authorization
string
header
required

Authentication is done using Bearer Token. Format: Authorization: Bearer sk-xxxxxx

Body

application/json
model
string
required
input
object
required
parameters
object

Response

200 - application/json

Image generated successfully

created
integer
data
object[]